﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{
// TEXT DATA

	titleText = 'Κατασκεύασε το                 σχήμα.';
	
	problemText = 'Κατασκεύασε στα δεξιά το σχήμα που φαίνεται αριστερά. ' +
		'Με κλικ προσθέτεις κύβους, ' +
		'με δεξί κλικ διαγράφεις. Με drag αλλάζεις γωνία θέασης.  ' +
		' Με ctrl + backspace καθαρίζεις τον καμβά. ';
	
	authorText = 'Μαρία Λάτση - Βαγγέλης Φακούδης';
	
	
	
	// last update
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = true;
	
	// end of last update	
	
	
	// DIMENSIONING
	
	gridDimension = 400;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor(gridDimension / cubeDimension);
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13		
	
	// MODEL DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.
	
	modelGeometry = 
	[
		[	// 1st row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[7,7,7,7,0,0,0,0],	// tower in 3rd column
			[7,7,7,7,7,0,0,0],	// tower in 4th column
			[7,7,7,7,7,0,0,0],	// tower in 5th column
			[7,7,7,7,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column			
		],
		[	//3rd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,7,7,0,0],	// tower in 4th column
			[0,0,0,0,7,7,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,7,7,7,0],	// tower in 4th column
			[0,0,0,0,7,7,7,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0]	// tower in 8th column					
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,7,7,0,0],	// tower in 4th column
			[0,0,0,0,7,7,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column					
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[7,7,7,7,0,0,0,0],	// tower in 3rd column
			[7,7,7,7,7,0,0,0],	// tower in 4th column
			[7,7,7,7,7,0,0,0],	// tower in 5th column
			[7,7,7,7,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],	
		[	// 8th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		]		
	];
	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry = 
	[
		[	// 1st row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column			
		],
		[	//3rd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column					
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		],	
		[	// 8th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column				
		]		
	];	

}